/* ------------------------------------------------------------------------- 
    Badges
   ------------------------------------------------------------------------- */

/* Product Page */

.tc-product-img-column {
	position:relative;
	display:inline-block;
}
.tc-product-img-badge {
	position: absolute;
	right:-20px;
	top:40px;
}
.tc-product-txt-badge {
	width: 100%;

}

/* Product Grid */

.tc-product-grid .tc-badge {
	position: absolute;
	right:20px;
	top:0px;
}

/* Badge image (product, category & search) */

.tc-badge {
	padding: 2px 20px;
	font-size: 24px;
	font-weight: bold;
	color: #fff;
	border-radius: 18px;
	box-shadow: 0 0.1em 0.5em rgba(0, 0, 0, 0.6);
}

.tc-product-grid .tc-badge {
	display: inline-flex;
	padding: 2px 12px;
	font-size: 16px;
	border-radius: 18px;
}


/* Badge text (product page) */

.tc-badge-line {
	width: 100%;
	padding-top: 20px;
	padding-bottom: 20px;
	border-top: 1px solid;
	border-bottom: 1px solid;
	margin-bottom: 40px;
}
.tc-badge-txt {
	padding-left: 40px;
}
.tc-badge-txt i {
	padding-right: 10px;
}


/* Badges */

.tc-badge-exit {
 	background-image: linear-gradient(to right, #242124, #003366);
}
.tc-badge-expect {
 	background-image: linear-gradient(to right, #248D27, #33A036);
}
.tc-badge-info {
	background-color: var(--tc-blue);
}
.tc-badge-txt-info {
	color: var(--tc-blue);
	border-color: var(--tc-blue);
	background-color: var(--tc-white);
}
.tc-badge-phaseout {
 	background-image: linear-gradient(to right, #544e57, #5aaecb);
}
.tc-badge-txt-phaseout {
	color: #544e57;
	border-color: #544e57;
	background-color: var(--tc-black);
}
.tc-badge-new {
 	background-image: linear-gradient(to right, #b30303, #ff0303);
}
.tc-badge-popular{
 	background-image: linear-gradient(to right, #3f054f, #76288e);
}
.tc-badge-wifibt {
 	background-image: linear-gradient(to right, #003366, #0f52ba);
}
